//=========================================================================
//
//	FILE:				FTP_doxy.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Doxygen source file for the main page of the documentation
//						for the FTP demo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:30:33 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================

/*!
	@mainpage
	
	@section overview  Overview

	The CP_FTP demo demonstrates the use of the CP_FTP internet protocol class,
	along with the CP_Sockets class.

	When you startup the demo you are presented with the following screen.
	
	@image html Ftp_OSX.jpg
	
	You can see that there is a main window and a dialog. The dialog is asking
	for you to enter the information needed to connect to the ftp site. Once
	you enter the information and press the Connect button, the demo will
	connect to the ftp site if possible. Once connected the main window will
	be filled in with the files and directories from the default directory.
	
	The button with the / in it takes you to the root directory of the ftp site,
	and the Up button takes you up 1 directory from where you are.
	
	If you double click on one of the listings in the main window and that entry
	is a directory, the demo will change to that directory, and show the files
	and directories contained in this new directory.
	
*/
