//=========================================================================
//
//	FILE:				CP_SheetWindow.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			DESCRIBE CLASS HERE
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_SheetWindow
#define _H_CP_SheetWindow
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Window.h"

CPLAT_Begin_Namespace_CPLAT

/*!
*	\class		CP_SheetWindow
*	\brief		1 LINE BRIEF DESCRIPTION HERE
*	
*				DETAILED DESCRIPTION BEGINS HERE
*/
class CP_EXPORT CP_SheetWindow : public CP_Window
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_SheetWindow( CP_Window *inParent );
	//! Destructor.
	virtual								~CP_SheetWindow() throw();
	//@}
			
	//! @name Appearance
	//@{
	virtual	void						Show();
	virtual	void						Hide();
	//@}

protected:

	// class data
protected:
	CP_Window							*fParentWindow;
		
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_SheetWindow

